---
title: 'Document: gotpointercapture event'
slug: Web/API/Document/gotpointercapture_event
tags:
  - Document
  - Event
  - PointerEvent
  - Reference
  - Web
  - gotpointercapture
---
<div>{{APIRef}}</div>

<p>The <strong><code>gotpointercapture</code></strong> event is fired when an element captures a pointer using {{domxref("Element.setPointerCapture", "setPointerCapture()")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/ongotpointercapture", "ongotpointercapture")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example gets a <code>&lt;p&gt;</code> element and listens for the <code>gotpointercapture</code> event. It then calls <code>setPointerCapture()</code> on the element on a <code>pointerdown</code> event, which will trigger <code>gotpointercapture</code>.</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

document.addEventListener('gotpointercapture', () =&gt; {
  console.log('I\'ve been captured!')
});

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});
</pre>

<p>The same example, using the <code>ongotpointercapture</code> event handler property:</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

document.ongotpointercapture = () =&gt; {
  console.log('I\'ve been captured!')
};

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-gotpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-gotpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.gotpointercapture_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events
  <ul>
   <li>{{domxref("Document/lostpointercapture_event", "lostpointercapture")}}</li>
   <li>{{domxref("Document/pointerover_event", "pointerover")}}</li>
   <li>{{domxref("Document/pointerenter_event", "pointerenter")}}</li>
   <li>{{domxref("Document/pointerdown_event", "pointerdown")}}</li>
   <li>{{domxref("Document/pointermove_event", "pointermove")}}</li>
   <li>{{domxref("Document/pointerup_event", "pointerup")}}</li>
   <li>{{domxref("Document/pointercancel_event", "pointercancel")}}</li>
   <li>{{domxref("Document/pointerout_event", "pointerout")}}</li>
   <li>{{domxref("Document/pointerleave_event", "pointerleave")}}</li>
  </ul>
 </li>
 <li>{{domxref("GlobalEventHandlers/ongotpointercapture", "ongotpointercapture")}} event handler property</li>
 <li>This event on <code>HTMLElement</code> targets: {{domxref("HTMLElement/gotpointercapture_event", "gotpointercapture")}} event</li>
</ul>
